Page 1 sur 2 12 DernièreDernière
Affiche les résultats de 1 à 10 sur 17

Sujet : Problème sur le rendu openGL2 & 3 avec KWin avec le pilote Nvidia

  1. #1
    Léon
    Inscrit
    dcembre 2016
    Distribution
    NEON 5
    Environnement
    KDE
    Messages
    13

    Problème sur le rendu openGL2 & 3 avec KWin avec le pilote Nvidia

    Mesdames et Messieurs bonsoir (ou bonjour, selon l'heure )

    Alors voilà, je vous explique mon soucis d'abord, et vous dit ce que j'ai fait ensuite.

    J'ai un problème avec le pilote nvidia utilisé. En effet, il m'est impossible d'utiliser le compositeur KWin (autre que XRender) et j'ai donc perdu l'avantage de l'effet flou. Avant, avec nouveau, ça marchait. Sauf que les performances de Nouveau en jeu .... On dirait moi qui vient de me lever le matin ^^

    Enfin bref, donc du coup, j'utilise une carte graphique Nvidia, certes pas de première jeunesse, GeForce 315M

    lspci donne : 01:00.0 VGA compatible controller: NVIDIA Corporation GT218M [GeForce 315M] (rev a2)

    J'ai donc suivit cette page :
    https://fr.opensuse.org/SDB:NVIDIA/liste_pilote_NVIDIA

    Et j'ai installé en conséquence le pilote qui va bien

    Voilà donc la liste des paquets relatif à Nvidia :

    zypper search nvidia
    Chargement des données du dépôt...
    Lecture des paquets installés...

    S | Nom | Résumé | Type
    ---+-------------------------------+-----------------------------------------------------------------------+-------
    i | nvidia-computeG03 | NVIDIA driver for computing with GPGPU | paquet
    | nvidia-computeG04 | NVIDIA driver for computing with GPGPU | paquet
    i | nvidia-gfxG03-kmp-default | NVIDIA graphics driver kernel module for GeForce 8xxx and newer GPUs | paquet
    | nvidia-gfxG03-kmp-pae | NVIDIA graphics driver kernel module for GeForce 8xxx and newer GPUs | paquet
    | nvidia-gfxG04-kmp-default | NVIDIA graphics driver kernel module for GeForce 400 series and newer | paquet
    | nvidia-gfxG04-kmp-pae | NVIDIA graphics driver kernel module for GeForce 400 series and newer | paquet
    i | nvidia-glG03 | NVIDIA GL libraries for OpenGL acceleration | paquet
    | nvidia-glG04 | NVIDIA OpenGL libraries for OpenGL acceleration | paquet
    i+ | nvidia-texture-tools | NVIDIA Texture Tools | paquet
    i | nvidia-uvm-gfxG03-kmp-default | NVIDIA Unified Memory kernel module | paquet
    | nvidia-uvm-gfxG03-kmp-pae | NVIDIA Unified Memory kernel module | paquet
    | pcp-pmda-nvidia-gpu | Performance Co-Pilot (PCP) metrics for the Nvidia GPU | paquet
    i+ | x11-video-nvidiaG03 | NVIDIA graphics driver for GeForce 8xxx and newer GPUs | paquet
    | x11-video-nvidiaG04 | NVIDIA graphics driver for GeForce 400 series and newer | paquet

    Voilà voilà. Par contre ,l'accélération 3D semble fonctionner du feu de dieu. Dans Stellaris, je n'ai plus les lenteurs que j'avais avec Nouveau. Vous trouverez, toute les infos de « glxinfo » en bas du post

    Merci d'avance pour vos réponses.
    Fichiers joints Fichiers joints

  2. #2
    Caméléon sympa
    Inscrit
    octobre 2014
    Distribution
    openSUSE Tumbleweed (64 bits)
    Environnement
    KDE
    Messages
    295
    perso j'évide la documentation en français, prend l'anglais https://en.opensuse.org/SDB:NVIDIA_Bumblebee elle est plus à jours

    tu est sur quelle version d'openSuSE?

  3. #3
    Léon
    Inscrit
    dcembre 2016
    Distribution
    NEON 5
    Environnement
    KDE
    Messages
    13
    Bonjour. Oui tout est à jour, j'ai lancé un coup de zypper refresh/dup avant d'installer le moindre paquet J'utilise la version tumbleweed. Je tenterais ton lien entre 12h et 14h voir ce que ça donne. Je te fais un retour dés que j'ai quelque chose. J'ai un snapshot avant l'installation du paquet nvidia, donc je ferais un coup de rollback, et je recommencerais à partir de ton lien Merci.

  4. #4
    Léon
    Inscrit
    dcembre 2016
    Distribution
    NEON 5
    Environnement
    KDE
    Messages
    13
    Alors par contre, désolé de double-poster, mais je n'ai pas de carte Optimus ... A priori Bumblee c'est pour les cartes graphiques nvidia. Moi j'ai juste une GeForce 315M

    EDIT : J'ai quand même créé un snapshot et j'ai essayé, mais c'est exactement pareil ... Je n'ai toujours pas de compositeur de possible, outre que XRender qui est fortement limité.
    J'ai tenté ça : http://www.nvidia.com/object/nvdvd_troubleshooting.html cette partie la :

    Mais je ne trouve pas de xorg.conf et je ne sais pas trop quel fichier modifier, je crois que c'est dans /etc/X11/xorg.conf.d mais il y en a plusieurs. Je cite l'article :

    Application freeze or crash when compositing/3D effects enabled

    You have set Option "Composite" "Enable" in /etc/X11/xorg.conf to enjoy your eye candy or 3D desktop, but you see some applications crash or freeze?
    Try to temporarily disable compositing with Option "Composite" "Disable" and restart your X server.
    Do these applications now not crash or freeze any longer? If the answer is yes, your compositing is unstable.
    There is a solution. nVidia drivers after 169.xx introduced a new option named UseCompositeWrapper. Put it in the device section of your xorg.conf: Option "UseCompositeWrapper" "true" and enable compositing again. Restart your X server. Your applications should now not freeze or crash any longer.
    Dernière édition par Aristide404; 28/06/2018 à 14h00

  5. #5
    Grand caméléon Avatar de sobkowiak
    Inscrit
    septembre 2010
    Lieu
    Châtas 88
    Distribution
    Leap 15.0
    Environnement
    Plasma 5
    Messages
    3 631
    Pourquoi deux pilotes installés ? Sur le site nvidia le pilote est 304.107, qui correspond à la version G03. Faire aussi en root : nvidia-xconfig pour créer le fichier xorg.conf.

  6. #6
    Léon
    Inscrit
    dcembre 2016
    Distribution
    NEON 5
    Environnement
    KDE
    Messages
    13
    Bonjour, c'est bien la version que j'ai installé. J'ai également tapé « nvidia-xconfig » ce qui m'a bien créé un fichier xorg.conf, mais malgré tout, impossible d'utiliser le compositeur OpenGL2 & 3 (toujours uniquement Xrender).

  7. #7
    Grand caméléon Avatar de sobkowiak
    Inscrit
    septembre 2010
    Lieu
    Châtas 88
    Distribution
    Leap 15.0
    Environnement
    Plasma 5
    Messages
    3 631
    Citation Envoyé par Aristide404 Voir le message
    Bonjour, c'est bien la version que j'ai installé. J'ai également tapé « nvidia-xconfig » ce qui m'a bien créé un fichier xorg.conf, mais malgré tout, impossible d'utiliser le compositeur OpenGL2 & 3 (toujours uniquement Xrender).
    Le pilote G04 est lui aussi installé :
    nvidia-gfxG04-kmp-default | NVIDIA graphics driver kernel module for GeForce 400 series and newer | paquet
    | nvidia-gfxG04-kmp-pae | NVIDIA graphics driver kernel module for GeForce 400 series and newer | paquet
    C'est peut-être ce qui met le bazar.

  8. #8
    Léon
    Inscrit
    dcembre 2016
    Distribution
    NEON 5
    Environnement
    KDE
    Messages
    13
    Non, en fait c'est un zypper search que j'avais fait pour afficher l'état des paquets à titre d'info. Les G04 ne sont pas installés. Et bien sûr j'ai pris soin de supprimer nouveau :

    Citation Envoyé par zypper
    Informations sur paquet nvidia-gfxG04-kmp-default :
    ---------------------------------------------------
    Dépôt : nVidia Graphics Drivers
    Nom : nvidia-gfxG04-kmp-default
    Version : 390.67_k4.16.12_1-8.1
    Arch : x86_64
    Fabricant : obs://build.suse.de/Proprietary:X11:Drivers
    Taille une fois installé : 46,0 MiB
    installé : Non
    État : non installé
    Paquet source : nvidia-gfxG04-390.67-8.1.nosrc
    Résumé : NVIDIA graphics driver kernel module for GeForce 400 series and newer
    Description :
    This package provides the closed-source NVIDIA graphics driver kernel
    module for GeForce 400 series and newer GPUs.

  9. #9
    Grand caméléon Avatar de sobkowiak
    Inscrit
    septembre 2010
    Lieu
    Châtas 88
    Distribution
    Leap 15.0
    Environnement
    Plasma 5
    Messages
    3 631
    Qu'avez vous comme informations avec nvidia-settings ?

  10. #10
    Léon
    Inscrit
    dcembre 2016
    Distribution
    NEON 5
    Environnement
    KDE
    Messages
    13
    Voici les captures : Je ne met pas tout, je met quelques screens, après à voir ce que tu as besoin exactement dedans

    XServer Informations : https://i.imgur.com/BHGMU7T.png
    XServer Display Configuration : https://i.imgur.com/RmrG4HP.png
    XScreen 0 : https://i.imgur.com/O0ujNEp.png
    OpenGL Settings : https://i.imgur.com/oOzKxxZ.png
    GPU : https://i.imgur.com/E5dUX98.png
    nvidia-settings configuration : https://i.imgur.com/oOzKxxZ.png

Tags pour ce sujet

Règles des messages

  • Vous ne pouvez pas créer de sujets
  • Vous ne pouvez pas répondre aux sujets
  • Vous ne pouvez pas importer de fichiers joints
  • Vous ne pouvez pas modifier vos messages
  •  
  • Les BB codes sont Activés
  • Les Smileys sont Activés
  • Le BB code [IMG] est Activé
  • Le code [VIDEO] est Activé
  • Le code HTML est Désactivé